Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QTextObject Class Reference

The QTextObject class is a base class for different kinds of objects that can group parts of a QTextDocument together. More...

     #include <QTextObject>

Inherits: QObject.

Inherited by: QTextBlockGroup and QTextFrame.

Note: All functions in this class are reentrant.

- List of all members, including inherited members

## Public Functions

QTextDocument * | document () const
QTextFormat | format () const
int | formatIndex () const
int | objectIndex () const

- 29 public functions inherited from QObject

## Protected Functions

| QTextObject ( QTextDocument * document )
| ~QTextObject ()
void | setFormat ( const QTextFormat & format )

- 8 protected functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 7 static public members inherited from QObject

## Detailed Description

The QTextObject class is a base class for different kinds of objects that can group parts of a QTextDocument together.

The common grouping text objects are lists (QTextList), frames (QTextFrame), and tables (QTextTable). A text object has an associated format() and document().

There are essentially two kinds of text objects: those that are used with blocks (block formats), and those that are used with characters (character formats). The first kind are derived from QTextBlockGroup, and the second kind from QTextFrame.

You rarely need to use this class directly. When creating custom text objects, you will also need to reimplement QTextDocument::createObject() which acts as a factory method for creating text objects.

See also QTextDocument and Text Object Example.

## Member Function Documentation

### QTextObject::QTextObject ( QTextDocument * document )`[protected]`

Creates a new QTextObject for the given document.

Warning: This function should never be called directly, but only from QTextDocument::createObject().

### QTextObject::~QTextObject ()`[protected]`

Destroys the text object.

Warning: Text objects are owned by the document, so you should never destroy them yourself.

### QTextDocument * QTextObject::document () const

Returns the document this object belongs to.

See also format().

### QTextFormat QTextObject::format () const

Returns the text object's format.

See also setFormat() and document().

### int QTextObject::formatIndex () const

Returns the index of the object's format in the document's internal list of formats.

See also QTextDocument::allFormats().

### int QTextObject::objectIndex () const

Returns the object index of this object. This can be used together with QTextFormat::setObjectIndex().

### void QTextObject::setFormat ( const QTextFormat & format )`[protected]`

Sets the text object's format.

See also format().